# GimpUi.random_seed_new

    function random_seed_new(seed: Number(guint32), random_seed: Boolean): Gtk.Widget {
        // Gjs wrapper for gimp_random_seed_new()
    }

Creates a widget that allows the user to control how the random number generator is initialized.

seed

  A pointer to the variable which stores the random seed.

random_seed

  A pointer to a boolean indicating whether seed should be initialised randomly or not.

Returns

  A Gtk.Box containing a Gtk.SpinButton for the seed and a Gtk.Button for setting a random seed.